<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_5eb874c1" . "0bcb822ac" . "57156206d" . "34b541" => base64_decode("ZG" . "Vm" . "aW" . "5l"), "it" . "em" => base64_decode("aXRlbQ=" . "="), "i" . "d" => base64_decode("aWQ" . "="), "_ac607c7647863e8" . "35e243dbb2e57076" . "7" => base64_decode("Li4vY29tbW9uL2NsYXNzZXMv" . "Q2xhVHJlZS5waHA="), "_939c6a45ff74323dbef487ed15753a7" . "c" => base64_decode("c3R" . "hdG" . "U="), "_e34a896152ff9a2c8f8e204" . "3ef6a9862" => base64_decode("U0VMRUNUIGdyb3VwbmFtZSBGUk9NIGdyb3VwcyBXSEVSRSBncm91cGlkPW" . "ludDppZA=="), "_a0972d4e1cb63c1201a1861eb72166" . "18" => base64_decode("U0VMRUNUIGdyb3VwaWQgRlJPTSBncm91cHMgV0hFUkUgcG" . "FyZW50X2lkPWludDppZA=="), "_1252391578f71702a86e93" . "bddde5365a" => base64_decode("dHJlZQ=" . "="), "_ebcd6f048786cbe7c2507bec81bf" . "cf8b" => base64_decode("R1JPVVBTX1NZU1RFTV9H" . "Uk9VUF9TVEFURQ=="), "t" . "e" . "x" . "t" => base64_decode("dGV4dA=" . "="));
require_once $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ac607c7" . "647863e8" . "35e243db" . "b2e57076" . "7"];
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_5eb874c10bcb822ac57" . "156206d34b541"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_ebcd6f048786cb" . "e7c2507bec81bfc" . "f8b"], 2);




class Groups
{
    
    
    
    
    
    
    protected $tree;
    public function __construct()
    {
        $this->tree = new ClaTree();
    }
    
    
    
    
    
    
    public function GetGroupsTree()
    {
        $root = $this->tree->appendChild(new DOMElement($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_1252391578f71702a86e93" . "bddde5365a"]));
        $root->setAttribute($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["i" . "d"], 0);
        $this->LoadNode($root);
        return $this->tree;
    }
    
    
    
    
    
    
    protected function LoadNode(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        foreach ($this->GetChildsInfoById($_5c59c380aa5c5e5f18f039ad7757fe97->getAttribute($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["i" . "d"])) as $_174e15928a28c15cc95b46dd39328987) {
            $_df8d541fa6963e8101557408acad8023 = $_5c59c380aa5c5e5f18f039ad7757fe97->appendChild($this->GetElementByInfo($_174e15928a28c15cc95b46dd39328987));
            $_df8d541fa6963e8101557408acad8023->Load();
            $this->LoadNode($_df8d541fa6963e8101557408acad8023);
        }
    }
    protected function GetElementByInfo($info)
    {
        list($id) = $info;
        return new GroupTreeElement($id);
    }
    
    
    
    
    
    
    
    
    protected function GetChildsInfoById($id)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = array();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($this->GetChildsQuery($id));
        while ($row = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $_343a395319323dd7609bcbc465b4d034[] = $row;
        }
        return $_343a395319323dd7609bcbc465b4d034;
    }
    
    
    
    
    
    
    
    protected function GetChildsQuery($id)
    {
        return new Query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a0972d4e1cb63c1201a1861eb7" . "216618"], $id);
    }
}




class GroupTreeElement extends ClaTreeElement
{
    protected $state = GROUPS_SYSTEM_GROUP_STATE;
    public string $id;
    public function __construct($id)
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["it" . "em"]);
        $this->id = $id;
    }
    
    
    
    
    public function Load()
    {
        global $db;
        $this->SetBasicAttributes();
        list($name) = $db->query_row($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e34a896152ff9a2c8f8e2043" . "ef6a9862"], $this->id);
        $this->setAttribute($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["te" . "xt"], $name);
        $this->AddUserDataByName($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_939c6a45ff74323" . "dbef487ed15753a7" . "c"], $this->state);
    }
}